package mixrepos

import (
	"context"
	v1 "voucher/api/v1"
	"voucher/internal/biz/bo"
)

type CmbMixRepo interface {
	VerifyResponse(ctx context.Context, req *v1.CmbReply) (string, error)
	OrderVerify(ctx context.Context, req *v1.CmbRequest) (*v1.CmbOrderRequest, error)
	ProductQueryVerify(ctx context.Context, req *v1.CmbRequest) (*v1.CmbQueryProductRequest, error)
	GetMockRequest(ctx context.Context, bizContent string) (*v1.CmbRequest, error)
	GetRequest(_ context.Context, reqBo *bo.CmbRequestBo) (*v1.CmbRequest, error)
	GetResponse(ctx context.Context, reqBo *bo.CmbResponseBo) (*v1.CmbReply, error)
	Request(ctx context.Context, req *v1.CmbRequest, uri string) (*v1.CmbReply, error)
}
